歡迎加入
Google 廣告與評估社群伺服器的官方 Display & Video 360 API 和結構化資料檔案 Discord 頻道,一起討論產品並交流心得。
Google uses AI technology to translate content into your preferred language. AI translations can contain errors.
Method: inventorySources.patch
透過集合功能整理內容
你可以依據偏好儲存及分類內容。
更新現有的廣告空間來源。如果成功,就會傳回更新後的廣告空間來源。
HTTP 要求
PATCH https://displayvideo.googleapis.com/v4/inventorySources/{inventorySource.inventorySourceId}
這個網址使用 gRPC 轉碼語法。
路徑參數
| 參數 |
inventorySource.inventorySourceId |
string (int64 format)
僅供輸出。廣告空間來源的專屬 ID。由系統指派。
|
查詢參數
| 參數 |
updateMask |
string (FieldMask format)
必要欄位。用於控制要更新哪些欄位的遮罩。 這是以半形逗號分隔的完整欄位名稱清單。範例:"user.displayName,photo"。
|
聯集參數 accessor。必填。 指出要求是在哪個 DV360 實體中提出。accessor 只能是下列其中一個: |
partnerId |
string (int64 format)
提出要求的合作夥伴 ID。
|
advertiserId |
string (int64 format)
發出請求的廣告主 ID。
|
要求主體
要求主體包含 InventorySource 的例項。
回應主體
如果成功,回應主體會包含 InventorySource 的執行例項。
授權範圍
需要下列 OAuth 範圍:
https://www.googleapis.com/auth/display-video
詳情請參閱 OAuth 2.0 Overview。
除非另有註明,否則本頁面中的內容是採用創用 CC 姓名標示 4.0 授權,程式碼範例則為阿帕契 2.0 授權。詳情請參閱《Google Developers 網站政策》。Java 是 Oracle 和/或其關聯企業的註冊商標。
上次更新時間:2025-07-25 (世界標準時間)。
[null,null,["上次更新時間:2025-07-25 (世界標準時間)。"],[],["The Display & Video 360 API v4 (beta) updates an existing inventory source using a PATCH request. The request URL includes the `inventorySourceId` as a path parameter. It requires the `updateMask` to specify fields for updating, and an `accessor` (either `partnerId` or `advertiserId`). The request body contains `InventorySource` data and if the operation succeeds, the API returns the updated `InventorySource` in the response. Authorization needs the `display-video` OAuth scope.\n"]]